﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="RoleInfo.aspx.cs" Inherits="Devolutions.RemoteDesktopManager.Server.Secure.RoleInfo" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Edit role</title>

    <script type="text/javascript" src="../../Scripts/jquery/1.6/jquery.min.js">
	</script>

	<script type="text/javascript">

		function toggleAdmin()
		{
			$('#admincheckbox input:checkbox').attr('disabled', $('#FormView1_chkIsAdministrator').is(':checked'));			
		}

		$('#popupHolder').ready(function()
		{
			window.parent.resizeFancyBox();
		});

		$(document).ready(function()
		{
			toggleAdmin();

			$('#popupHolder').load(function() { window.parent.resizeFancyBox(); });
			$('#FormView1_chkIsAdministrator').change(function() { toggleAdmin(); });
		});

	</script>
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/01reset.css">
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/03rdms.css">
</head>
<body style="background-color: transparent; background-image: none; margin: 0;">
	<form id="form1" runat="server">
		<div id="popupHolder">
			<asp:FormView ID="FormView1" DefaultMode="Edit" runat="server" DataSourceID="odsGetRoleInfo">
				<InsertItemTemplate>
					<fieldset class="form" style="width: 630px; margin: 0 auto">
						<ul style="float: left; width: 376px;">
							<li>
								<asp:Label AssociatedControlID="txtRoleName" ID="lblRoleName" runat="server" Text="Role" />
								<asp:TextBox ID="txtRoleName" runat="server" />
								<asp:CustomValidator OnServerValidate="IsValidEmail_ServerValidate" ControlToValidate="txtRoleName" ErrorMessage="Invalid role name"
									ID="CustomValidator1" runat="server">*</asp:CustomValidator>
							</li>
							<li>
								<asp:Label ID="lblFullName" AssociatedControlID="txtFullName" Text="Description" runat="server" />
								<asp:TextBox ID="txtFullName" runat="server" />
							</li>
							<li>
								<asp:CheckBox ID="chkAllowOfflineMode" Text="Allow offline mode" runat="server" />
							</li>
							<li>
								<asp:CheckBox ID="chkIsAdministrator" Text="Administrator" runat="server" />
								<div id="admincheckbox">
									<ul style="clear: both; margin-bottom: 5px; position: relative;">
										<li>
											<asp:CheckBox ID="chkCanAdd" runat="server" Text="Add Sessions" />
										</li>
										<li>
											<asp:CheckBox ID="chkCanDelete" runat="server" Text="Delete Sessions" />
										</li>
										<li>
											<asp:CheckBox ID="chkCanEdit" runat="server" Text="Edit Sessions" />
										</li>
										<li style="position: absolute; top: 0px; right: 3px;">
											<asp:CheckBox ID="chkAllowDragAndDrop" runat="server" Text="Allow Drag and Drop" />
										</li>
									</ul>
									<ul style="margin-bottom: 5px;">
										<li>
											<asp:CheckBox ID="chkCanViewDetails" runat="server" Text="View Sessions details" />
										</li>
										<li>
											<asp:CheckBox ID="chkCanViewInformations" runat="server" Text="View Sessions informations" />
										</li>
									</ul>
									<ul>
										<li>
											<asp:CheckBox ID="chkCanImport" runat="server" Text="Import Sessions" />
										</li>
										<li>
											<asp:CheckBox ID="chkCanExport" runat="server" Text="Export Sessions" />
										</li>
									</ul>
								</div>
							</li>
						</ul>
					</fieldset>
					<asp:HiddenField ID="hdfRoleID" runat="server" />
				</InsertItemTemplate>
				<EditItemTemplate>
					<fieldset class="form" style="width: 630px; margin: 0 auto">
						<ul style="float: left; width: 360px;">
							<li>
								<asp:Label ID="lblRoleName" AssociatedControlID="txtRoleName" Text="Role" runat="server" />
								<asp:TextBox ID="txtRoleName" Enabled="false" runat="server" Text='<%# Eval("Name") %>' />
							</li>
							<li>
								<asp:Label ID="lblFullName" AssociatedControlID="txtFullName" Text="Description" runat="server" />
								<asp:TextBox ID="txtFullName" runat="server" Text='<%# Eval("Description") %>' />
							</li>
							<li>
								<asp:CheckBox ID="chkAllowOfflineMode" Text="Allow offline mode" Checked='<%# Eval("CustomSecurityValue.AllowOfflineMode") %>'
									runat="server" />
							</li>
							<li>
								<asp:CheckBox ID="chkIsAdministrator" Text="Administrator" runat="server" Checked='<%# Eval("IsAdministrator") %>' />
								<div id="admincheckbox">
									<ul style="clear: both; margin-bottom: 5px; position: relative;">
										<li>
											<asp:CheckBox ID="chkCanAdd" runat="server" Text="Add Sessions" Checked='<%# Eval("CanAdd") %>' />
										</li>
										<li>
											<asp:CheckBox ID="chkCanDelete" runat="server" Text="Delete Sessions" Checked='<%# Eval("CanDelete") %>' />
										</li>
										<li>
											<asp:CheckBox ID="chkCanEdit" runat="server" Text="Edit Sessions" Checked='<%# Eval("CanEdit") %>' />
										</li>
										<li style="position: absolute; top: 0px; right: 3px;">
											<asp:CheckBox ID="chkAllowDragAndDrop" runat="server" Text="Allow Drag and Drop" Checked='<%# Eval("CustomSecurityValue.AllowDragAndDrop") %>' />
										</li>
									</ul>
									<ul style="margin-bottom: 5px;">
										<li>
											<asp:CheckBox ID="chkCanViewDetails" runat="server" Text="View Sessions details" Checked='<%# Eval("CustomSecurityValue.CanViewDetails") %>' />
										</li>
										<li>
											<asp:CheckBox ID="chkCanViewInformations" runat="server" Text="View Sessions informations" Checked='<%# Eval("CustomSecurityValue.CanViewInformations") %>' />
										</li>
									</ul>
									<ul>
										<li>
											<asp:CheckBox ID="chkCanImport" runat="server" Text="Import Sessions" Checked='<%# Eval("CustomSecurityValue.CanImport") %>' />
										</li>
										<li>
											<asp:CheckBox ID="chkCanExport" runat="server" Text="Export Sessions" Checked='<%# Eval("CustomSecurityValue.CanExport") %>' />
										</li>
									</ul>
								</div>
							</li>
						</ul>
					</fieldset>
					<asp:HiddenField ID="hdfRoleID" runat="server" Value='<%# Eval("ID") %>' />
				</EditItemTemplate>
			</asp:FormView>
			<fieldset class="form groups" style="height: 280px;">
				<legend>Groups</legend>
				<div style="height: 100%; overflow: auto;">
					<asp:GridView ID="GridView1" runat="server" DataSourceID="odsGroupInfos" AutoGenerateColumns="False" BorderStyle="None" ShowHeader="False"
						GridLines="None">
						<Columns>
							<asp:TemplateField>
								<ItemTemplate>
									<asp:CheckBox ID="chkIncluded" runat="server" Checked='<%# Bind("Included") %>' Text='<%# Bind("Name") %>' />
									<asp:HiddenField ID="hdfIncluded" runat="server" Value='<%# Bind("ID") %>'></asp:HiddenField>
								</ItemTemplate>
							</asp:TemplateField>
						</Columns>
					</asp:GridView>
				</div>
			</fieldset>
			<div style="background: none repeat scroll 0 0 #D0D2D7; padding: 7px; text-align: right; margin-top: 5px;">
				<asp:Label runat="server" ID="lblMessage"></asp:Label>
				<asp:Button CssClass="button blue small" ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
				<a style="margin-left: 5px" class="button blue small" href="javascript:parent.$.fancybox.close();">Cancel</a>
			</div>
			<rdm:ParentDataSource ID="odsGroupInfos" runat="server" SelectMethod="GetGroupInfos" TypeName="Devolutions.RemoteDesktopManager.Server.Secure.RoleInfo">
			</rdm:ParentDataSource>
			<rdm:ParentDataSource ID="odsGetRoleInfo" runat="server" SelectMethod="GetRoleInfo" TypeName="Devolutions.RemoteDesktopManager.Server.Secure.RoleInfo"
				OnSelected="odsGetRoleInfo_Selected">
			</rdm:ParentDataSource>
		</div>
	</form>
</body>
</html>
