<%@ Page Title="My Account" Theme="RDMS" Language="C#" MasterPageFile="~/LoggedSection.master" AutoEventWireup="true"
	Inherits="Devolutions.RemoteDesktopManager.Server.Secure.MyAccountPage" CodeBehind="MyAccount.aspx.cs" %>
<asp:Content runat="server" ContentPlaceHolderID="SectionImage">
    <asp:Image ID="imgSection" CssClass="imgSection" Width="130px" ImageUrl="~/Images/myaccount_big.png" runat="server" />
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="SectionLeftMenu">
<ul class="leftmenu">
    <li><a title="Edit your Account" id="A2" runat="server" href="~/Secure/Editors/EditAccount.aspx" class="editAccount">Edit Account</a></li>
    <li><a title="Change your Avatar" id="A3" runat="server" href="~/Secure/Editors/UserAvatar.aspx" class="changeAvatar">Change Avatar</a></li>
    <li><a title="Change your password" id="A1" runat="server" href="~/Secure/Editors/ChangePassword.aspx" class="changePassWD">Change Password</a></li>
    </ul>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="maincontent" runat="Server">
	<div style="width: 99.4%; position: relative;">
		<div class="content">
			<div class="detailsHolder">
				<div class="avatar">
					<a runat="server" title="Change your avatar" href="~/Secure/Editors/UserAvatar.aspx" id="manageAvatar" class="manageAvatar"><asp:Image CssClass="avatarImage" ID="avatarImage" AlternateText="Avatar" Height="128px" Width="128px" runat="server" /></a>
				</div>
				<ul class="details">
					<li>
						<strong>User name</strong> <span>
							<asp:Literal ID="txtUsername" runat="server"></asp:Literal></span>
					</li>
					<li>
						<strong>Email</strong> <span>
							<asp:Literal ID="txtEmail" runat="server"></asp:Literal></span>
					</li>
					<li>
						<strong>First name</strong> <span>
							<asp:Literal ID="txtFirstname" runat="server"></asp:Literal></span>
					</li>
					<li>
						<strong>Last name</strong> <span>
							<asp:Literal ID="txtLastname" runat="server"></asp:Literal></span>
					</li>
					<li>
						<strong>Company</strong> <span>
							<asp:Literal ID="txtCompany" runat="server"></asp:Literal></span>
					</li>
				</ul>
				<ul class="details">
					<li>
						<strong>Address</strong> <span>
							<asp:Literal ID="txtAddress" runat="server"></asp:Literal></span>
					</li>
					<li>
						<strong>Country</strong> <span>
							<asp:Literal ID="txtCountry" runat="server"></asp:Literal></span>
					</li>
					<li>
						<strong>State</strong> <span>
							<asp:Literal ID="txtState" runat="server"></asp:Literal></span>
					</li>
					<li>
						<strong>Phone</strong> <span>
							<asp:Literal ID="txtPhone" runat="server"></asp:Literal></span>
					</li>
					<li>
						<strong>Fax</strong> <span>
							<asp:Literal ID="txtFax" runat="server"></asp:Literal></span>
					</li>
				</ul>
			</div>
		</div>
	</div>
</asp:Content>
