<%@ Page Title="Role infos" Language="C#" Theme="RDMS" MasterPageFile="~/LoggedSection.master"
    AutoEventWireup="true" CodeBehind="RoleInfos.aspx.cs" Inherits="Devolutions.RemoteDesktopManager.Server.Secure.RoleInfos" %>

<asp:Content runat="server" ContentPlaceHolderID="SectionImage">
    <asp:Image ID="imgSection" CssClass="imgSection" Width="130px" ImageUrl="~/Images/roles_big.png" runat="server" />
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="SectionLeftMenu">
<ul class="leftmenu">
    <li><asp:HyperLink CssClass="manageRoles" ID="butAddRoleInfo" NavigateUrl="~/Secure/Editors/RoleInfo.aspx" runat="server" title="Add role">Add Role</asp:HyperLink></li>
    <li><asp:HyperLink CssClass="disabled" Enabled="false" ID="EditSelectedRow" runat="server" title="Edit selected role">Edit Role</asp:HyperLink></li>
    <li><asp:LinkButton CssClass="disabled" ID="DeleteSelectedRow" OnClick="DeleteSelectedRow_OnClick" runat="server" title="Delete selected role">Delete Role</asp:LinkButton></li>
    </ul>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="maincontent" runat="server">
        <div class="content">
                <asp:GridView OnSelectedIndexChanged="gdvRoleInfos_SelectedIndexChanged" ID="gdvRoleInfos" SkinID="gridviewSkin" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="ID, Name" DataSourceID="odsGetRoleInfos" EmptyDataText="<div class='noData'>No Role! </div>">
                    <Columns>
                        <asp:TemplateField HeaderText="" HeaderStyle-Width="5px">
                            <ItemTemplate>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                        <asp:BoundField DataField="ID" HeaderText="ID" HeaderStyle-CssClass="hide" ItemStyle-CssClass="hide" />
                        <asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description" />
                        <asp:TemplateField HeaderText="Is Administrator" SortExpression="IsAdministrator">
                        <ItemTemplate>
                            <asp:Image ID="Image1" ImageUrl="~/images/check.png" Visible='<%# this.Eval("IsAdministrator") %>' runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            <asp:ObjectDataSource ID="odsGetRoleInfos" runat="server" SelectMethod="GetRoleInfos" TypeName="Devolutions.RemoteDesktopManager.Server.RoleManager" >
                <SelectParameters>
                    <asp:SessionParameter Name="dataSourceId" SessionField="DATASOURCE_ID" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </div>
</asp:Content>
