﻿<%@ Page Language="C#" Title="Edit Session" AutoEventWireup="true" CodeBehind="Connection.aspx.cs" Inherits="Devolutions.RemoteDesktopManager.Server.Secure.Connection" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Edit Session</title>

    <script type="text/javascript" src="../../Scripts/jquery/1.6/jquery.min.js">
	</script>

	<script type="text/javascript">
		$(document).ready(function()
		{
			$('#popupHolder').load(function()
			{
				window.parent.resizeFancyBox();
			});
		});

		$('#popupHolder').ready(function()
		{
			window.parent.resizeFancyBox();
		});
	</script>
    
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/01reset.css">
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/03rdms.css">

</head>
<body style="background-color: transparent; background-image: none; margin: 0;">
	<form id="form1" runat="server">
		<div id="popupHolder">
			<asp:FormView ID="FormView1" DefaultMode="Edit" DataSourceID="pdsGetConnectionInfo" runat="server">
				<EditItemTemplate>
					<fieldset class="form" style="width: 400px; margin: 0 auto">
						<ul style="float: left; width: 390px;">
							<li>
								<asp:Label ID="lblName" AssociatedControlID="txtName" Text="Name" runat="server" />
								<asp:TextBox Text='<%# Eval("MetaData.Name") %>' ID="txtName" runat="server" />
								<asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="txtName" runat="server" Text="*" ErrorMessage="You must enter a valid name"></asp:RequiredFieldValidator>
							</li>
							<li>
								<asp:Label ID="lblGroup" AssociatedControlID="txtGroup" Text="Group / folder" runat="server" />
								<asp:TextBox ToolTip="Use '\' to create a sub group. Ex: Devolutions\Personal\Home" Text='<%# Eval("MetaData.Group") %>'
									ID="txtGroup" runat="server" />
							</li>
							<li>
								<asp:Label ID="lblSecGroup" AssociatedControlID="drpSecGroup" Text="Security group" runat="server" />
								<asp:DropDownList ID="drpSecGroup" DataValueField="ID" DataTextField="Name" DataSourceID="pdsGetGroupInfo" runat="server" />
							</li>
						</ul>
					</fieldset>
				</EditItemTemplate>
			</asp:FormView>
			<rdm:ParentDataSource ID="pdsGetGroupInfo" runat="server" SelectMethod="GetGroupInfo" TypeName="Devolutions.RemoteDesktopManager.Server.Secure.Connection">
			</rdm:ParentDataSource>
			<rdm:ParentDataSource ID="pdsGetConnectionInfo" runat="server" SelectMethod="GetConnectionInfo" TypeName="Devolutions.RemoteDesktopManager.Server.Secure.Connection">
			</rdm:ParentDataSource>
			<asp:Label runat="server" ID="lblMessage"></asp:Label>
			<div style="background: none repeat scroll 0 0 #D0D2D7; padding: 7px; text-align: right;">
				<asp:Button CssClass="button blue small" ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
				<a style="margin-left: 5px" class="button blue small" href="javascript:parent.$.fancybox.close();">Cancel</a>
			</div>
		</div>
	</form>
</body>
</html>
