﻿<%@ Page Language="C#" Title="Manage your avatar" AutoEventWireup="true" CodeBehind="UserAvatar.aspx.cs"
	Inherits="Devolutions.RemoteDesktopManager.Server.Secure.UserAvatarPage" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Edit Avatar</title>

    <script type="text/javascript" src="../../Scripts/jquery/1.6/jquery.min.js">
	</script>

	<script type="text/javascript">
		$(document).ready(function()
		{
			$('#popupHolder').load(function()
			{
				window.parent.resizeFancyBox();
			});
		});

		$('#popupHolder').ready(function()
		{
			window.parent.resizeFancyBox();
		});
	</script>
    
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/01reset.css">
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/03rdms.css">

</head>
<body style="background-color: transparent; background-image: none; margin: 0;">
	<form id="form1" runat="server">
		<div id="popupHolder">
			<asp:FormView ID="FormView1" DefaultMode="Edit" DataSourceID="odsGetAccountInfo" runat="server">
				<EditItemTemplate>
					<fieldset class="form" style="width: 400px; margin: 0 auto">
						<ul style="float: left; width: 400px;">
							<li>
								<asp:Label ID="lblGravatarEmail" AssociatedControlID="txtGravatarEmail" Text="Gravatar email" runat="server" />
								<asp:TextBox ID="txtGravatarEmail" Text='<%# Eval("GravatarEmail") %>' runat="server" />
							</li>
							<li>
								<p style="font-size: 11px">leave blank to use the default avatar.<br />
								If you don't have a Gravatar, get one <a style="color: #00C0FF" target="_blank" href="http://gravatar.com/">here</a></p>
							</li>
						</ul>
					</fieldset>
				</EditItemTemplate>
			</asp:FormView>
			<rdm:ParentDataSource ID="odsGetAccountInfo" runat="server" SelectMethod="GetProfileInfo" TypeName="Devolutions.RemoteDesktopManager.Server.Secure.UserAvatarPage">
			</rdm:ParentDataSource>
			<asp:Label runat="server" ID="lblMessage"></asp:Label>
			<div style="background: none repeat scroll 0 0 #D0D2D7; padding: 7px; text-align: right;">
				<asp:Button CssClass="button blue small" ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
				<a style="margin-left: 5px" class="button blue small" href="javascript:parent.$.fancybox.close();">Cancel</a>
			</div>
		</div>
	</form>
</body>
</html>
